Skip to content
Back to top
View this page

# UserChatBoosts

Added in version 20.8.

class telegram.UserChatBoosts(boosts, *, api_kwargs=None)

  Bases: `telegram.TelegramObject`

  This object represents a list of boosts added to a chat by a user.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if their `boosts` are equal.

  Returned In

  `telegram.Bot.get_user_chat_boosts()`

  Added in version 20.8.

  Parameters:

    boosts (Sequence[`telegram.ChatBoost`]) – List of boosts added to the chat by the user.

  boosts

    List of boosts added to the chat by the user.

    Type:

      tuple[`telegram.ChatBoost`]

  classmethod de_json(data, bot=None)

    See `telegram.TelegramObject.de_json()`.